!set title=Simple fraction III
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=24
prevarcnt=23
postvarcnt=0
replycnt=0
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat
m_methods=ineq/rewrite, ineq/simpdeduc, ineq/mulexp, ineq/divexp	ineq/trans, ineq/addineq, ineq/mulineq, ineq/splitineq
m_minsteps=6
tmp0=!randitem a,b,c,d,p,q,r,s,t,u,v,x,y,z

val2=$(tmp0)
tmp0=!shuffle 15

val3=$(tmp0)
tmp0=!item 1 of $val3

tmp1=!randitem -1,1

val4=$[rint(($(tmp0)+1)*$(tmp1))]
tmp0=!item 2 of $val3

tmp1=!randitem -1,1

val5=$[rint(($(tmp0)+1)*$(tmp1))]
tmp0=!item 3 of $val3

tmp1=!randitem -1,1

val6=$[rint(($(tmp0)+1)*$(tmp1)+1)]
val7=$[rint(-($val5))]
tmp=!translate internal $	$ to ; in \data

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val8=$(tmp0)
tmp0=!item 1 of $val8

tmp1=!randitem ,=

val9=$(tmp0)$(tmp1)
tmp0=!item 2 of $val8

val10=$(tmp0)
tmp0=!item 3 of $val8

val11=$[rint($(tmp0))]
val12=!rawmath ($val2 + $val4)/($val2 + $val5)
val13=$[($val4-($val5))*($val6-1)]
tmp0=!randitem ,=

val14=$(tmp0)

!ifval $val6>1
val15=>$val14
!else
val15=<$val14
!endif
t_=!rawmath ($val5*$val6-$val4)/(1-($val6))
val16=!exec pari print($t_)
val17=$val2 != $val7
val18=$val12 $val15 $val6
!if $val13>0 
val19=$val2 > $val7
val20=$val2 <$val14 $val16
val21=$val7 < $val2 <$val14 $val16
!else
val19=$val2 < $val7
val20=$val2 >$val14 $val16
val21=$val16 <$val14 $val2 < $val7
!endif
m_context=$val17	$val18
m_goal=$val19	$val20
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	Solve the inequality 
!insmath $val18
$(). (
!insmath $val17
$())	<p>	(The solution is 
!insmath $val21
$().)	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=17,18,21
embedcnt=0
